package com.bjtdba.merchant.dao;

import com.bjtdba.merchant.entity.StoreBranch;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface StoreBranchDao {
    long countByExample(StoreBranch example);

    int deleteByExample(StoreBranch example);

    int deleteByPrimaryKey(Integer id);

    int insert(StoreBranch record);

    int insertSelective(StoreBranch record);

    List<StoreBranch> selectByExampleWithBLOBs(StoreBranch example);

    List<StoreBranch> selectByExample(StoreBranch example);

    StoreBranch selectByPrimaryKey(Integer id);

//    int updateByExampleSelective(@Param("record") StoreBranch record, @Param("example") StoreBranch example);
//
//    int updateByExampleWithBLOBs(@Param("record") StoreBranch record, @Param("example") RrxStoreBranchExample example);
//
//    int updateByExample(@Param("record") RrxStoreBranch record, @Param("example") RrxStoreBranchExample example);

    int updateByPrimaryKeySelective(StoreBranch record);

    int updateByPrimaryKeyWithBLOBs(StoreBranch record);

    int updateByPrimaryKey(StoreBranch record);
}